
scoreboard players remove @s svm_ep.checked_click 1


#MANA
function svm_ep:mana/tick

#MANA SLOWER REGEN
scoreboard players remove @s[scores={svm_ep.food=10..,svm_ep.used_move=1..}] svm_ep.used_move 1
scoreboard players set @s[scores={svm_ep.used_move=2000..}] svm_ep.used_move 2000




#UIs
execute as @s[scores={svm_ep.selected_ability=9998..}] run function svm_ep:non_power/ui
execute unless entity @s[scores={svm_ep.p.silenced=1}] as @s[scores={svm_ep.selected_ability=1000..}] run function svm_ep:non_power/ui
execute unless entity @s[scores={svm_ep.show_mana=1}] unless entity @s[scores={svm_ep.selected_ability=0..9999}] run function svm_ep:power/show_mana with storage svm_ep:mana_display input
execute as @s[scores={svm_ep.show_mana=1}] unless entity @s[scores={svm_ep.selected_ability=9998..}] run function svm_ep:power/show_mana with storage svm_ep:mana_display input


#SHIFTING+SHIFT CLICK
execute unless predicate svm_ep:shift run scoreboard players reset @s svm_ep.shift_time
execute if predicate svm_ep:shift run function svm_ep:player/shifting
scoreboard players remove @s[scores={svm_ep.shifted=1..}] svm_ep.shifted 1


#QUICK EFFECTS
scoreboard players remove @s[scores={svm_ep.clear_slowness=1..}] svm_ep.clear_slowness 1
scoreboard players remove @s[scores={svm_ep.clear_levitation=1..}] svm_ep.clear_levitation 1
scoreboard players remove @s[scores={svm_ep.clear_speed=1..}] svm_ep.clear_speed 1
scoreboard players remove @s[scores={svm_ep.clear_blindness=1..}] svm_ep.clear_blindness 1
scoreboard players remove @s[scores={svm_ep.clear_strength=1..}] svm_ep.clear_strength 1
scoreboard players remove @s[scores={svm_ep.golden_hunger_delay=1..}] svm_ep.golden_hunger_delay 1
effect clear @s[scores={svm_ep.clear_slowness=1}] slowness
effect clear @s[scores={svm_ep.clear_levitation=1}] levitation
effect clear @s[scores={svm_ep.clear_speed=1}] speed
effect clear @s[scores={svm_ep.clear_blindness=1}] blindness
effect clear @s[scores={svm_ep.clear_strength=1}] strength





#ATTACKED
execute as @s[tag=player_hurt_entity] run function svm_ep:player/hurt_entity2


execute as @s[scores={svm_ep.jump=1..}] at @s run function svm_ep:player/jump
execute as @s[scores={svm_ep.r.click=1..}] at @s run function svm_ep:player/right_click
execute as @s[scores={svm_ep.shaking=1..}] at @s run function svm_ep:system/shake
execute as @s[predicate=svm_ep:walking_or_running] run function svm_ep:player/walking_or_running
execute as @s[scores={svm_ep.bamblock=1..}] run function svm_ep:items/bamboo/blocking
execute as @s[scores={svm_ep.golden_beetroot_boost=1..}] run function svm_ep:items/golden/beetroot_boost
scoreboard players remove @s[scores={svm_ep.hammer_delay=1..}] svm_ep.hammer_delay 1
scoreboard players remove @s[scores={svm_ep.tengu_delay=1..}] svm_ep.tengu_delay 1
execute as @s[scores={svm_ep.charged_tengu=1..}] at @s run function svm_ep:items/tengu/charged
execute as @s[scores={svm_ep.charged_hammer=1..}] at @s run function svm_ep:items/hammer/charged
execute as @s[scores={svm_ep.check_click=1..}] at @s run function svm_ep:system/click_check/tick

execute at @s as @e[type=item_display,tag=svm_ep.block,distance=..15,tag=!svm_ep.block_ticked] at @s run function svm_ep:block/tick
execute as @s[scores={svm_ep.used_non_power_ability=1..}] run function svm_ep:non_power/cd
execute as @s[scores={svm_ep.using_move=100000..}] run function svm_ep:non_power/using_tick


execute unless entity @s[scores={svm_ep.p.harpie_movement=1}] run clear @s minecraft:elytra[minecraft:custom_data~{svm_ep.harpie_wings:1b}]


#SELECTED ABILITY
execute store result score @s svm_ep.selected_slot run data get entity @s SelectedItemSlot
execute unless score @s svm_ep.selected_slot_last_tick = @s svm_ep.selected_slot run function svm_ep:player/update_slot



execute as @s[tag=svm_ep.power_user] unless entity @s[scores={svm_ep.p.silenced=1}] run function svm_ep:power/ui

#ITEMS
execute if items entity @s[tag=!svm_ep.power_user] weapon.offhand *[minecraft:custom_data~{svm_ep.power_scroll:1b}] run function svm_ep:items/scroll/held_offhand
execute if items entity @s[tag=svm_ep.power_user] weapon.offhand *[minecraft:custom_data~{svm_ep.power_reseter:1b}] run function svm_ep:items/scroll/held_offhand_reseter
execute if items entity @s weapon.offhand *[minecraft:custom_data~{svm_ep.style_scroll:1b}] unless entity @s[scores={svm_ep.fighting_style=1..}] run function svm_ep:items/scroll/held_offhand_style
#execute if data entity @s Inventory.[{Slot:-106b}].components."minecraft:custom_data".'svm_ep.offhand_action' run function svm_ep:items/in_offhand


execute if items entity @s weapon.offhand *[minecraft:custom_data~{svm_ep.chooser:1b}] run function svm_ep:items/chooser/choose
execute if items entity @s weapon.mainhand *[minecraft:custom_data~{svm_ep.chooser:1b}] run function svm_ep:items/chooser/held
execute if items entity @s weapon.mainhand *[minecraft:custom_data~{svm_ep.has_power_ability:1b}] run function svm_ep:items/power_ability/held


function #svm_ep:player_tick



#execute as @s[scores={svm_ep.fogged=1..}] at @s run function svm_ep:system/fogged_tick

return 0
##############################INCRASES LAG
#FOR OPTIMIZATION

execute if items entity @s weapon.mainhand *[minecraft:custom_data~{svm_ep.has_sound:1b}] run function svm_ep:items/held/mainhand
execute if items entity @s weapon.offhand *[minecraft:custom_data~{svm_ep.has_sound:1b}] run function svm_ep:items/held/offhand
execute unless items entity @s[scores={svm_ep.held_item_mainhand=1..}] weapon.mainhand *[minecraft:custom_data~{svm_ep.has_sound:1b}] run function svm_ep:items/held/mainhand_put_away
execute unless items entity @s[scores={svm_ep.held_item_offhand=1..}] weapon.offhand *[minecraft:custom_data~{svm_ep.has_sound:1b}] run function svm_ep:items/held/offhand_put_away




